# Retrieve an option

> Retrieve a single product option by its identifier.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/products/{productId}/product_options/{productOptionId}`

Retrieves a Product Option resource.

Returns a single option of a product by id. Set the `Flowkiwi-Locale` header to read the translatable `title` in a given locale.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Path parameters

| Name              | Type     | Required | Description                |
| ----------------- | -------- | -------- | -------------------------- |
| `productId`       | `string` | Yes      | ProductResource identifier |
| `productOptionId` | `string` | Yes      | Product Option identifier  |

## Response

**200** - Product Option resource

| Property    | Type             | Required | Description                                                                      |
| ----------- | ---------------- | -------- | -------------------------------------------------------------------------------- |
| `@context`  | `object`         | -        |                                                                                  |
| `@id`       | `string`         | Yes      |                                                                                  |
| `@type`     | `string`         | Yes      |                                                                                  |
| `id`        | `string`         | -        | The resource's unique identifier (UUID).                                         |
| `title`     | `string \| null` | -        | **This property supports translations.**<br><br>The name of the product option.  |
| `position`  | `integer`        | -        | The position of the product option. Use -1 to put the product option at the end. |
| `product`   | `string`         | Yes      | The `Product` to which this option belongs.                                      |
| `createdAt` | `string`         | -        | The date and time when the resource was created (ISO 8601 format).               |
| `updatedAt` | `string`         | -        | The date and time when the resource was last modified (ISO 8601 format).         |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

**404** - Not found

| Property      | Type              | Required | Description                                                                                                                          |
| ------------- | ----------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`    | `object`          | -        |                                                                                                                                      |
| `@id`         | `string`          | Yes      |                                                                                                                                      |
| `@type`       | `string`          | Yes      |                                                                                                                                      |
| `title`       | `string \| null`  | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`      | `string \| null`  | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`      | `integer \| null` | -        |                                                                                                                                      |
| `instance`    | `string \| null`  | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`        | `string`          | -        | A URI reference that identifies the problem type                                                                                     |
| `description` | `string \| null`  | -        |                                                                                                                                      |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/products/<product_id>/product_options/<option_id>' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/ProductOption",
  "@id": "/api/ProductOptions/7c7848bb-a939-5408-bb25-6ea69ecdf00d",
  "@type": "ProductOption",
  "id": "7c7848bb-a939-5408-bb25-6ea69ecdf00d",
  "title": "Color",
  "position": 0,
  "product": "/api/products/965b2565-d8ee-5db8-8c64-544eec97ed99",
  "createdAt": "2024-01-01T00:00:00+00:00",
  "updatedAt": "2024-01-01T00:00:00+00:00"
}
```
